---
sidebar_label: ElementHandle.isHidden
---

# ElementHandle.isHidden() method

Checks if an element is hidden using the same mechanism as [ElementHandle.waitForSelector()](./puppeteer.elementhandle.waitforselector.md).

#### Signature:

```typescript
class ElementHandle {
  isHidden(): Promise<boolean>;
}
```

**Returns:**

Promise&lt;boolean&gt;
